/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.parser.valueobject;

/**
 * HTMLの文字イベントをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlEventCharacters extends BlancoHtmlEvent {
    /**
     * フィールド: [characters]。
     */
    private String fCharacters;

    /**
     * フィールド [characters] の値を設定します。
     *
     * @param argCharacters フィールド[characters]に設定する値。
     */
    public void setCharacters(final String argCharacters) {
        fCharacters = argCharacters;
    }

    /**
     * フィールド [characters] の値を取得します。
     *
     * @return フィールド[characters]から取得した値。
     */
    public String getCharacters() {
        return fCharacters;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.parser.valueobject.BlancoHtmlEventCharacters[");
        buf.append("characters=" + fCharacters);
        buf.append("]");
        return buf.toString();
    }
}
